'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var fs = require('fs');
var path = require('path');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var fs__default = /*#__PURE__*/_interopDefaultLegacy(fs);
var path__default = /*#__PURE__*/_interopDefaultLegacy(path);

/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
var withI18nStaticProps = function (locale, staticProps, namespaces) {
    if (namespaces === void 0) { namespaces = []; }
    staticProps = staticProps || {};
    staticProps.props = staticProps.props || {};
    staticProps.props.translations = getI18nTranslations(locale, namespaces);
    return staticProps;
};
var withI18nStaticPaths = function (staticPaths, locales) {
    if (!locales)
        return staticPaths;
    return staticPaths.flatMap(function (staticPath) {
        return locales.map(function (locale) {
            return {
                params: staticPath.params,
                locale: locale,
            };
        });
    });
};
function getI18nTranslations(locale, namespaces) {
    if (namespaces === void 0) { namespaces = []; }
    if (!namespaces.includes('common'))
        namespaces.push('common');
    // eslint-disable-next-line
    var localeDirectory = path__default["default"].join(process.cwd(), "public/locales/".concat(locale));
    var translations = {};
    namespaces.forEach(function (ns) {
        var filePath = path__default["default"].join(localeDirectory, "".concat(ns, ".json"));
        translations[ns] = JSON.parse(fs__default["default"].readFileSync(filePath, 'utf8'));
    });
    return translations;
}

exports.withI18nStaticPaths = withI18nStaticPaths;
exports.withI18nStaticProps = withI18nStaticProps;
//# sourceMappingURL=index.js.map
