import fs from 'fs';
import path from 'path';

/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
var withI18nStaticProps = function (locale, staticProps, namespaces) {
    if (namespaces === void 0) { namespaces = []; }
    staticProps = staticProps || {};
    staticProps.props = staticProps.props || {};
    staticProps.props.translations = getI18nTranslations(locale, namespaces);
    return staticProps;
};
var withI18nStaticPaths = function (staticPaths, locales) {
    if (!locales)
        return staticPaths;
    return staticPaths.flatMap(function (staticPath) {
        return locales.map(function (locale) {
            return {
                params: staticPath.params,
                locale: locale,
            };
        });
    });
};
function getI18nTranslations(locale, namespaces) {
    if (namespaces === void 0) { namespaces = []; }
    if (!namespaces.includes('common'))
        namespaces.push('common');
    // eslint-disable-next-line
    var localeDirectory = path.join(process.cwd(), "public/locales/".concat(locale));
    var translations = {};
    namespaces.forEach(function (ns) {
        var filePath = path.join(localeDirectory, "".concat(ns, ".json"));
        translations[ns] = JSON.parse(fs.readFileSync(filePath, 'utf8'));
    });
    return translations;
}

export { withI18nStaticPaths, withI18nStaticProps };
//# sourceMappingURL=index.module.js.map
